#
# spec file for package fx
#
# Copyright (c) 2024 SUSE LLC
# Copyright (c) 2022-2024, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           fx
Version:        35.0.0
Release:        1.2
Summary:        Terminal JSON viewer
License:        MIT
Group:          Productivity/Text/Utilities
URL:            https://fx.wtf/
#Git-Clone:     https://github.com/antonmedv/fx.git
Source:         https://github.com/antonmedv/fx/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  go
BuildRequires:  golang-packaging
%{go_provides}

%description
Terminal JSON viewer.

%prep
%autosetup -p 1 -a 1

%build
%{goprep} github.com/antonmedv/fx
%{gobuild} -mod=vendor .

%install
%{goinstall}

%files
%license LICENSE
%doc README.md
%{_bindir}/fx

%changelog
* Sun Jun 30 2024 Martin Hauke <mardnh@gmx.de>
- Update to version 35.0.0
  * Fixed a bug with very long arguments.
  * Fixed a bug with closing profiles properly.
  * Fixed bash autocomplete for files without newline at the end.
  * Fixed a bug with --raw flag reading files without newline at
    the end.
  * Updated dependencies.
- Update to version 34.0.0
  * Now fx has a built-in JS engine! So, JSON processing will work
    everywhere!
  * Added list function to print array as list of strings.
  * Fixed yanking of wrapped object keys.
* Sun Mar 24 2024 Martin Hauke <mardnh@gmx.de>
- Update to version 33.0.0
  * Add Terminal autocomplete.
  * New configuration options
    + FX_SHOW_SIZE - show the size of the arrays and objects.
    + FX_NO_MOUSE - disable mouse support.
    + FX_THEME - set the theme for the output.
* Mon Mar 11 2024 Martin Hauke <mardnh@gmx.de>
- Update to version 32.0.0
  * YAML support.
  * Expand with 1-9 keys.
  * Keybindings help.
  * Preview mode.
  * Print to stdout.
* Fri Nov 24 2023 Martin Hauke <mardnh@gmx.de>
- Update to version 31.0.0
  * Added support for JSON streaming/JSON lines.
  * Added new syntax sugar for .map(x => x.key) as @.key.
  * Improved JSON parsing error messages.
  * Improved JS reducer error messages.
- Update to version 32.2.0
  * Added keys() and values() functions.
- Update to version 31.1.1
  * Replace gid input with current path only if cursor at the end.
  * Allow JSON path to start with [ char.
  * Added more built-in functions (https://fx.wtf).
  * Fixed dig on ctrl+w.
- Update to version 31.1.0
  * Added better dig path word jumping
  * Added len() func
  * Added fx themes to JS version
  * Fix: wrap collapsed nodes
  * Deleted gradient themes
  * Better dig key handling
  * Fixed \/ in key
- Update to version 30.0.0
  * fx now gracefully handles even the most massive JSON files.
  * A New TUI Look: Dive deep into your data with a revamped
    terminal interface—now with themes!
  * Swift Navigation with Dig Fuzzy Search: Feeling lost in JSON?
    Just type . and navigate with ease.
  * Powerful Regex Search: Scan across your entire JSON content
    with precision.
  * Elegant Long String Wraps: No more cut-offs. Your strings wrap
    beautifully now.
  * All Things JSON: Added love for comments, trailing commas, and
    JSON streams.
* Fri Apr  7 2023 Martin Hauke <mardnh@gmx.de>
- Update to version 24.1.0
  * move cursor to view when jumping around
  * add flag: -h, --help
* Sun May 22 2022 Martin Hauke <mardnh@gmx.de>
- Initial package, version 24.0.0
